## visad.data.hdfeos
Class HdfeosFlatField

    java.lang.Object
      visad.data.hdfeos.HdfeosData
          visad.data.hdfeos.HdfeosFlatField

public class HdfeosFlatField
extends HdfeosData

Field Summary
`(package private) Calibration[]` `cal`
`(package private) int` `d_rank`
`(package private) FlatField` `data`
`(package private) HdfeosDomain` `domain`
`(package private) DimensionSet` `domainDimSet`
`(package private) int[]` `edge`
`(package private) int[]` `inv_edge`
`(package private) int[]` `inv_start`
`(package private) int[]` `inv_stride`
`(package private) FunctionType` `mathtype`
`(package private) int` `n_fields`
`(package private) String[]` `name_s`
`(package private) int[]` `num_type`
`(package private) boolean` `pointStruct`
`(package private) int` `r_rank`
`(package private) Variable[]` `range_s`
`(package private) DimensionSet` `rangeDimSet`
`(package private) int[]` `start`
`(package private) int[]` `stride`
`(package private) EosStruct` `struct`

Constructor Summary
`HdfeosFlatField(HdfeosDomain domain, Variable range)`
`HdfeosFlatField(HdfeosDomain domain, Variable[] range_s)`
`HdfeosFlatField(HdfeosDomain domain, VariableSet range_s)`

Method Summary
`DataImpl` `getAdaptedData()`
`DataImpl` `getAdaptedData(int[] indexes)`
`DataImpl` `getData()`
`DataImpl` `getData(int[] indexes)`
`MathType` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    HdfeosDomain domain

### range_s

    Variable[] range_s

### n_fields

    int n_fields

### r_rank

    int r_rank

### d_rank

    int d_rank

### name_s

    String[] name_s

### num_type

    int[] num_type

### cal

    Calibration[] cal

### mathtype

    FunctionType mathtype

### struct

    EosStruct struct

### pointStruct

    boolean pointStruct

### start

    int[] start

### inv_start

    int[] inv_start

### stride

    int[] stride

### inv_stride

    int[] inv_stride

### edge

    int[] edge

### inv_edge

    int[] inv_edge

### rangeDimSet

    DimensionSet rangeDimSet

### domainDimSet

    DimensionSet domainDimSet

### data

    FlatField data

Constructor Detail

### HdfeosFlatField

    public HdfeosFlatField(HdfeosDomain domain,
                           Variable[] range_s)
                    throws VisADException,
                           UnimplementedException,
                           HdfeosException

### HdfeosFlatField

    public HdfeosFlatField(HdfeosDomain domain,
                           Variable range)
                    throws VisADException,
                           UnimplementedException,
                           HdfeosException

### HdfeosFlatField

    public HdfeosFlatField(HdfeosDomain domain,
                           VariableSet range_s)
                    throws VisADException,
                           UnimplementedException,
                           HdfeosException

Method Detail

### getType

    public MathType getType()
                     throws VisADException

  Specified by:
    `getType` in class `HdfeosData`
  Throws:
    `VisADException`

### getData

    public DataImpl getData()
                     throws VisADException,
                            RemoteException

  Specified by:
    `getData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData()
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getData

    public DataImpl getData(int[] indexes)
                     throws VisADException,
                            RemoteException

  Specified by:
    `getData` in class `HdfeosData`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData(int[] indexes)
                            throws VisADException

  Specified by:
    `getAdaptedData` in class `HdfeosData`
  Throws:
    `VisADException`